0

The log i am having while deploying a smart contract:

-------- load log data -------- user.address = 0x2154f8B602c470ae7F10f242DCC88Ae6221bb263 contract.address = 0x8654F5adde839339360184753bCFB6650DA9876e getting contract: http://192.168.0.160:22000

                 saved log:

Traceback (most recent call last): File "/home/mona/.local/lib/python3.6/site-packages/web3/contract.py", line 1372, in call_contract_function output_data = decode_abi(output_types, return_data) File "/home/mona/.local/lib/python3.6/site-packages/eth_abi/abi.py", line 96, in decode_abi return decoder(stream) File "/home/mona/.local/lib/python3.6/site-packages/eth_abi/decoding.py", line 118, in call return self.decode(stream) File "/home/mona/.local/lib/python3.6/site-packages/eth_utils/functional.py", line 46, in inner return callback(fn(*args, **kwargs)) File "/home/mona/.local/lib/python3.6/site-packages/eth_abi/decoding.py", line 164, in decode yield decoder(stream) File "/home/mona/.local/lib/python3.6/site-packages/eth_abi/decoding.py", line 118, in call return self.decode(stream) File "/home/mona/.local/lib/python3.6/site-packages/eth_abi/decoding.py", line 133, in decode start_pos = decode_uint_256(stream) File "/home/mona/.local/lib/python3.6/site-packages/eth_abi/decoding.py", line 118, in call return self.decode(stream) File "/home/mona/.local/lib/python3.6/site-packages/eth_abi/decoding.py", line 186, in decode raw_data = self.read_data_from_stream(stream) File "/home/mona/.local/lib/python3.6/site-packages/eth_abi/decoding.py", line 296, in read_data_from_stream len(data), eth_abi.exceptions.InsufficientDataBytes: Tried to read 32 bytes. Only got 0 bytes

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File "test.py", line 53, in read_data_from_blockchain(bc_api_manager, user) File "test.py", line 42, in read_data_from_blockchain log_events = contract.call({"from": user_account['address']}).getLogEventsArray() File "/home/mona/.local/lib/python3.6/site-packages/web3/contract.py", line 1394, in call_contract_function raise BadFunctionCallOutput(msg) from e web3.exceptions.BadFunctionCallOutput: Could not decode contract function call getLogEventsArray return data b'' for output_types ['uint256[]', 'uint256[]', 'uint256[]', 'int256[]', 'int256[]']

while there was no error in compilation, can someone explain where i am making mistake. it is showing errors that it couldnt read bytecode, also it can not decode contract function, the version of solc is 0.5.7

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.